#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(0);
    cin.tie(0);

    int n, m; cin>>n>>m;

    vector<int> v(m);
    vector<int> v2(m);

    for(int i=0; i<m; i++){
        cin>>v[i];
        int sA=0;
        for(int j=0; j<i; j++){
            sA+=v[j]*(i-j);
        }
        v2[i]=sA;
    }

    int s = 0, s2=0, swI=0;
    int a; cin>>a;
    for(int i=1; i<m; i++){
        cin>>a;
        s+=a;
        s2+=a;
        if(s>=v2[i]){
            swI=i;
            s2=0;
        }
    }

    cout<<s2+v2[swI];

    return 0;
}